# Conciseness

**Objective**: The test is intended to check the conciseness of the model response i.e Does the submission conveys information or ideas clearly and efficiently, without unnecessary details.

**Parameters**:

`data:`

* `prompt` (str): The prompt for the response.
* `response` (str): The response to be evaluated.
* `context` (str, optional): The context for the response (default is None).

`arguments:`

* `strictness` (int, optional): The number of times response is evaluated (default is 1).
* `model` (str, optional): The model to be used for evaluation (default is "gpt-3.5-turbo").

**Interpretation**: Passed result signifies model is concise in its response to the given prompt. Failed result signifies model is not concise, provides wrong information or unnecessary details

```python
prompt = "Can you explain the process of photosynthesis in detail?"
pos_response = "Photosynthesis is the process by which plants convert sunlight into energy through chlorophyll"
neg_response = "Photosynthesis is the process by which plants convert sunlight into energy through chlorophyll. Photosynthesis is a vital process where plants,convert light energy into chemical energy in the form of glucose. This complex process involves light absorption by chlorophyll, splitting of water to release oxygen, and the Calvin Cycle, which uses ATP and NADPH to convert carbon dioxide into glucose. Factors like light intensity, CO2 concentration, temperature, and water availability affect photosynthesis. Its importance lies in oxygen production, food chain support, and its role in regulating the carbon cycle, making it crucial for life on Earth. Drinking a lot of water is important for a healthy kidney."

# Add tests with custom data
evaluator.add_test(
    test_names=["conciseness_test"],
    data={
        "prompt": prompt,
        "response": pos_response,
    },
    arguments={"model": "gpt-4", "threshold": 0.6, "strictness": 1},
).add_test(
    test_names=["conciseness_test"],
    data={
        "prompt": prompt,
        "response": neg_response,
    },
    arguments={"model": "gpt-4", "threshold": 0.6, "strictness": 1},
).run()

evaluator.print_results()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.raga.ai/ragaai-catalyst/ragaai-metric-library/additional-metrics/evaluation/conciseness.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
